/Users/bernard/b20/bsoft/src/bftr.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bftr.cpp - Program for resizing an image using Fourier transformation.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program for resizing an image using Fourier transformation.

Author:
    Bernard Heymann

Date:
    Created: 20040225

    Modified: 20170106

Definition in file bftr.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 43 of file bftr.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bftr [options] file.spi file.mrc",
"---------------------------------------",
"Resizing an image using Fourier transformation.",
" ",
"Actions:",
"-scale 1.56              Isotropic scale (required to resize the data).",
"-translate 0.3,-4.1,3.3  Translation.",
"-bandpass 25.3,200       Bandpass filter: resolution limits (angstrom).",
"-filterextremes          Remove extreme regions (such as micrograph labels)",
" ",
"Parameters:",
"-verbose 7               Verbosity of output",
"-datatype u              Force writing of a new data type",
"-origin 0,-10,30         Set origin, used with -size option (default 0,0,0)",
"-size 22,33,14           New size (voxels, default from data)",
"-sampling 2,3.5,1        Sampling before rescaling (angstrom/voxel, a single value sets all three)",
" ",
"Input:",
"-reference ref.map       Reference for resizing.",
" ",
NULL
}

Definition at line 18 of file bftr.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.